# eth\_getTransactionByHash

Returns the information about a transaction requested by transaction hash.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_gettransactionbyhash)

## **Parameters**

1. `DATA`, 32 Bytes - hash of a transaction

```bash
params: ["0xfbb6f658d99539a881ab861cef99b440ad4ca91b97eb569cb0b6fcc576a3213a"]
```

## **Returns**

`Object` - A transaction object, or `null` when no transaction was found:

* `blockHash`: `DATA`, 32 Bytes - hash of the block where this transaction was in. `null` when its pending.
* `blockNumber`: `QUANTITY` - block number where this transaction was in. `null` when its pending.
* `from`: `DATA`, 20 Bytes - address of the sender.
* `gas`: `QUANTITY` - gas provided by the sender.
* `gasPrice`: `QUANTITY` - gas price provided by the sender in Wei.
* `hash`: `DATA`, 32 Bytes - hash of the transaction.
* `input`: `DATA` - the data send along with the transaction.
* `nonce`: `QUANTITY` - the number of transactions made by the sender prior to this one.
* `to`: `DATA`, 20 Bytes - address of the receiver. `null` when its a contract creation transaction.
* `transactionIndex`: `QUANTITY` - integer of the transactions index position in the block. `null` when its pending.
* `value`: `QUANTITY` - value transferred in Wei.
* `v`: `QUANTITY` - ECDSA recovery id
* `r`: `QUANTITY` - ECDSA signature r
* `s`: `QUANTITY` - ECDSA signature s

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"blockHash": "0xbe7c4246d5569fc6eb57a54b7757f7b9f5fe00dc4f433af99b0df2e20de1205a",
		"blockNumber": "0x6a5627e",
		"chainId": null,
		"creates": null,
		"from": "0x102cb4da51a9936ba2297be8c930b4ca658586da",
		"gas": "0x644d1",
		"gasPrice": "0x5d21dba00",
		"hash": "0xfbb6f658d99539a881ab861cef99b440ad4ca91b97eb569cb0b6fcc576a3213a",
		"input": "0x3e088e123d15f70100000000000000000000000000000000000000000000000000000000",
		"nonce": "0x1731d",
		"publicKey": "0x66446d51c514b818ae179d40763128e22b3ae8c15e07ab4d9edb32d67a14888889b487da912eb7f4f57d7a617e0f4ce1e3ba0b12574bcbe04c8a11bd9fc8d3ee",
		"r": "0x1afd1f7b4db8f68e71bbaa644874d3d33d7d886799ea880e29b3a725b129d381",
		"raw": "0xf8938301731d8505d21dba00830644d1941111aba2164acdc6d291b08dfb374280035e11118710b265d1487c00a43e088e123d15f701000000000000000000000000000000000000000000000000000000001ba01afd1f7b4db8f68e71bbaa644874d3d33d7d886799ea880e29b3a725b129d381a01c989dea8f2e565e7315b349ccdcefde3aade5d7d13607972855dd32a16066cc",
		"s": "0x1c989dea8f2e565e7315b349ccdcefde3aade5d7d13607972855dd32a16066cc",
		"standardV": "0x0",
		"status": "0x1",
		"to": "0x1111aba2164acdc6d291b08dfb374280035e1111",
		"transactionIndex": "0x0",
		"type": "0x0",
		"v": "0x1b",
		"value": "0x10b265d1487c00"
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.conflux.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionByHash","params":["0xfbb6f658d99539a881ab861cef99b440ad4ca91b97eb569cb0b6fcc576a3213a"],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.conflux.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionByHash","params":["0xe12bc5f8cb5cdd2078e437d73c9c7351f86fa7ffd7033c129cc09143359812b2"],"id":1}'

```

{% endtab %}
{% endtabs %}
